Stomp::getSessionId
Stomp::readFrame
Stomp
PHP Manual

# Stomp::hasFrame

# stomp_has_frame

(PECL stomp >= 0.1.0)

Stomp::hasFrame -- stomp_has_frame — Indicates whether or not there is a frame ready to read

### Description

Object oriented style (method):

public bool Stomp::hasFrame ( void )

Procedural style:

bool stomp_has_frame ( resource `$link` )

Indicates whether or not there is a frame ready to read.

### Parameters

`link`

  Procedural style only: The stomp link identifier returned by stomp_connect().

### Return Values

Returns `TRUE` if a frame is ready to read, or `FALSE` otherwise.

Stomp::getSessionId
Stomp::readFrame
Stomp
PHP Manual